canvas{
	z-index: 1;
}

/* START ПАРАМЕТРЫ СКИНОВ */

/* New year skin */
.drunkSkinWrapper[data-skin="newyear"] .drunkBack {
	background: url(skins/newyear/background.png) center center;
	background-size:cover;
}
.drunkSkinWrapper[data-skin="newyear"] .drunkRoad b {
	background: url(skins/newyear/road.png) repeat-y bottom center;
	background-size: auto 50%;
}
.drunkSkinWrapper[data-skin="newyear"] .drunkLogo {
	background: url(skins/newyear/logo.png) no-repeat center center;
	background-size: contain;
}
.drunkSkinWrapper[data-skin="newyear"] .streets b {
	background: url(skins/newyear/houses.png) repeat-x bottom left;
	background-size: 50% auto;
}
.drunkSkinWrapper[data-skin="newyear"] .drunkGradient {
	display: block;
}

/* Circus skin */
.drunkSkinWrapper[data-skin="circus"] .drunkBack {
	background: url(skins/circus/back.png) center center;
	background-size:cover;
}
.drunkSkinWrapper[data-skin="circus"] .drunkBackMask {
	background: url(skins/circus/back-top.png) center center;
	background-size:cover;
	display: block;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples:after {
	content:'';
	position: absolute;
	height: 50%;
	width: 20%;
	background: url(skins/circus/rope.png) no-repeat center center;
	background-size: contain;
	left: 40%;
	bottom: 0;
}
.drunkSkinWrapper[data-skin="circus"][data-players="two"] .drunkPeoples:after {
	content:'';
	position: absolute;
	height: 50%;
	width: 20%;
	background: url(skins/circus/rope.png) no-repeat center center;
	background-size: contain;
	left: 65%;
	bottom: 0;
}
.drunkSkinWrapper[data-skin="circus"][data-players="two"] .drunkPeoples:before {
	content:'';
	position: absolute;
	height: 50%;
	width: 20%;
	background: url(skins/circus/rope.png) no-repeat center center;
	background-size: contain;
	left: 15%;
	bottom: 0;
}
.drunkSkinWrapper[data-skin="circus"] .drunkLogo {
	background: url(skins/circus/logo.png) no-repeat center center; 
	background-size: contain;
	display: none;
}
.drunkSkinWrapper[data-skin="circus"] .drunkRoad { display: none; }
.drunkSkinWrapper[data-skin="circus"] .streets { display: none; }

.drunkSkinWrapper[data-skin="circus"] .drunkPeoples {
	width: 100%;
	height: 100%;
	position: absolute;
	display: block;
	left: 0;
	top: 0;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b {
	width: 100%;
	height: 6vh;
	background:url(skins/circus/peoples.png) repeat-x left bottom;
	background-size: auto 100%;
	position: absolute;
	animation: peoples 5s linear infinite both;
	animation-play-state: running;
	opacity: 0.5
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(2) {
	animation-delay: 0.5s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(3) {
	animation-delay: 1s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(4) {
	animation-delay: 1.5s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(5) {
	animation-delay: 2s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(6) {
	animation-delay: 2.5s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(7) {
	animation-delay: 3s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(8) {
	animation-delay: 3.5s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(9) {
	animation-delay: 4s;
}
.drunkSkinWrapper[data-skin="circus"] .drunkPeoples b:nth-child(10) {
	animation-delay: 4.5s;
}
@keyframes peoples {
	from {
		bottom: 0%;
		transform: scale(2.5) translateY(100%);
		/*opacity: 1;*/
	}
	to {
		bottom: 100%;
		transform: scale(1) translateY(-100%);
		/*opacity: 0;*/
	}
}

/* END ПАРАМЕТРЫ СКИНОВ */
.drunkPeoples {
	display: none;
}
.drunkBackMask {
	display: none;
}
.drunkBack, .drunkBackMask{
	width: 100%;
	height: 100%;
	position: absolute;	
	left: 0;
	top: 0;
}
.drunkRoad {
	position: absolute;
	width: 50%;
	height: 85%;
	left: 25%;
	bottom: 0;
	transform: perspective(370px) rotate3d(1,0,0,70deg);
}
.drunkRoad b{
	height: 200%;
	width: 100%;
	position: absolute;
	bottom: -100%;
	left: 0;
	animation: road 13s linear infinite;
	animation-play-state: running;
}
.drunkRoad.paused b, .drunkSkinWrapper[data-skin="circus"] .drunkPeoples.paused b {
	animation-play-state: paused;
}
@keyframes road{
	from{
		bottom:-100%;
	}
	to{
		bottom: 0;
	}
}
.drunkLogo{
	width: 30%;
	height: 30%;
	position: absolute;
	left: 35%;
	top: 35%;	
	z-index:10;
	transition: .3s ease;
	animation: pulsar 3s ease infinite;
	opacity: 1;
}
.drunkLogo.hidden{
	opacity: 0;
}
@keyframes pulsar {
	0%{
		transform: scale(0.85);
	}
	50%{
		transform: scale(1);
	}
	100%{
		transform: scale(0.85);
	}
}
.drunkGradient{
	width: 70%;
  height: 70%;
  position: absolute;
  display: none;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 40%, rgba(255,255,255,0) 60%);
  border-radius: 100%;
}
.drunkStreetLeft{
	width: 100%;
	height: 55%;
	position: absolute;
	background: transparent;
	/*transform: perspective(500px) rotate3d(0,20,-0.3,60deg);*/
	transform: perspective(370px) rotate3d(0,20,-0.3,50deg);
	left: -27%;
	top: 18%;
	overflow: hidden;
}
.drunkStreetRight{
	width: 100%;
	height: 55%;
	position: absolute;
	background: transparent;
	/*transform: perspective(500px) rotate3d(0,20,-0.3,-60deg);*/
	transform: perspective(370px) rotate3d(0,20,-0.3,-50deg);
	right: -27%;
	top: 18%;
	overflow: hidden;
}
.streets b{
	height: 100%;
	width: 200%;
	position: absolute;
	left: -100%;
	bottom: 0;			
	animation: street 13s linear infinite;
	animation-play-state: running
}
.drunkStreetRight b{
	animation: street1 13s linear infinite;
}
.streets.paused b {
	animation-play-state: paused;
}
@keyframes street{
	from{
		left:-100%;
	}
	to{
		left: 0;
	}
}
@keyframes street1{
	from{
		left:0;
	}
	to{
		left: -100%;
	}
}